
def main():

	#
	#Selected samples and group
    index=session.getSelectedIndex()
    if index!=None:
		print '\nSelected group index: ' + str(index[0])
		print 'Selected sample index: ' + str(index[1])
		
		e=session.getExperiment(0)
		if index[0]==-1:
			print 'Selected experiment: ' + e.getName()
		else:
			if index[1]==-1:
				print 'Selected group: ' + e.getGroup(index[0]).getName()
			else:
				print 'Selected sample: ' + e.getGroup(index[0]).getSample(index[1]).getName()
				
	#
	#List of selected proteins
    l=session.getSelectedProteinsList()
    if l!=None:
        print '\nSelected proteins'
        for prot in l:
            print prot.getId()
    else:
        print '\nThere are no selected proteins'
        
	#
	#List of selected peptides
    l=session.getSelectedPeptidesList()
    if l!=None:
        print '\nSelected peptides'
        for pep in l:
            print pep.getSequence()
    else:
        print '\nThere are no selected peptides'
	
	#
	#List of selected queries
    l=session.getSelectedQueriesList()
    if l!=None:
        print '\nSelected queries'
        for query in l:
            print query.getNr()
    else:
        print '\nThere are no selected queries'
        	
if __name__ == '__main__':
	main()